Name: goldendict
Version: 0.8
Release: alt1

Summary: Feature-rich dictionary lookup program
License: GPLv3
Group: Education
URL: http://goldendict.berlios.de/

Source0: %name-%version-%release.tar
Patch0: %name-%version-%release.patch
BuildRequires(pre): libqt4-devel

# Automatically added by buildreq on Fri Apr 03 2009
BuildRequires: gcc-c++ libX11-devel libqt4-devel >= 4.5.0 libvorbis-devel libzip-devel libhunspell-devel
Requires: libqt4-core >= %{get_version libqt4-core}

%description
GoldenDict is feature-rich dictionary lookup program. Features:
* Use of WebKit for an accurate articles' representation, complete with all formatting, colors, images and links.
* Support of multiple dictionary file formats, namely:
  - Babylon .BGL files, complete with images and resources
  - StarDict .ifo/.dict./.idx/.syn dictionaries
  - ABBYY Lingvo .dsl source files, together with abbreviations.
  - ABBYY Lingvo .lsa/.dat audio archives.
  - Support for Wikipedia, Wiktionary, or any other MediaWiki-based sites to perform lookups in.
* Full Unicode case and diacritics folding. 
* Scan popup functionality. A small window pops up with the translation of a word chosen from another application.
* Tabbed browsing in a modern Qt 4 interface

%prep
%setup -q -n %name-%version-%release
%patch0 -p1

%build
PREFIX=%_prefix /usr/bin/qmake-qt4
%make
lrelease-qt4 locale/ru.ts

%install
%make_install INSTALL_ROOT=%buildroot install

mkdir -p %buildroot%_datadir/applications/
install -m 644 -D locale/ru.qm %buildroot%_datadir/apps/goldendict/locale/ru.qm

cat <<EOF >%buildroot%_datadir/applications/%name.desktop
[Desktop Entry]
Name=%name
Comment=Feature-rich dictionary lookup program
Comment[ru]=Поиск в словарях
Exec=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Education;Dictionary;
EOF


%files
%_bindir/*
%_datadir/applications/*.desktop
%_datadir/apps/goldendict

%changelog
* Fri Apr 24 2009 Anton Farygin <rider@altlinux.ru> 0.8-alt1
- 0.8

* Thu Apr 23 2009 Anton Farygin <rider@altlinux.ru> 0.8-alt0.r179
- new snapshot

* Mon Apr 20 2009 Anton Farygin <rider@altlinux.ru> 0.8-alt0.r159
- new snapshot

* Thu Apr 16 2009 Anton Farygin <rider@altlinux.ru> 0.8-alt0.r132
- new snapshot

* Tue Apr 14 2009 Anton Farygin <rider@altlinux.ru> 0.8-alt0.r129
- new snapshot
- enabled russian translation
- fixed myspell dictionary search path
- added ALT Linux Wiki to mediawiki lists
- enabled by default russian Wikipedia

* Fri Apr 03 2009 Anton Farygin <rider@altlinux.ru> 0.7-alt1.r76
- first build for Sisyphus
